<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage FavBlog
 * @since FavBlog 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'favblog_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'favblog' ),
		'priority'   			=> 900,
		'panel'      			=> 'favblog_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'favblog_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'favblog_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'favblog_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'favblog' ),
		'section'    			=> 'favblog_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'favblog_theme_options[copyright_text]', array(
		'selector'            => '.site-info .wrapper',
		'settings'            => 'favblog_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'favblog_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'favblog_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'favblog_sanitize_switch_control',
	)
);
$wp_customize->add_control( new favblog_Switch_Control( $wp_customize, 'favblog_theme_options[scroll_top_visible]',
    array(
		'label'      		=> esc_html__( 'Display Scroll Top Button', 'favblog' ),
		'section'    		=> 'favblog_section_footer',
		'on_off_label' 		=> favblog_switch_options(),
    )
) );